lpc10_decode_state_s Struct Reference

`#include <lpc10.h>`

## Public Attributes

int | error_correction
| ???
int32_t | iptold
| Initial value 60.
int | first
| Initial value TRUE.
int32_t | ivp2h
| ???
int32_t | iovoic
| ???
int32_t | iavgp
| Initial value 60.
int32_t | erate
| ???
int32_t | drc [10][3]
| ???
int32_t | dpit [3]
| ???
int32_t | drms [3]
| ???
float | buf [LPC10_SAMPLES_PER_FRAME *2]
| ???
int32_t | buflen
| Initial value LPC10_SAMPLES_PER_FRAME.
int32_t | ivoico
| No initial value necessary as long as first_pitsyn is initially TRUE.
int32_t | ipito
| No initial value necessary as long as first_pitsyn is initially TRUE.
float | rmso
| Initial value 1.0f.
float | rco [10]
| No initial value necessary as long as first_pitsyn is initially TRUE.
int32_t | jsamp
| No initial value necessary as long as first_pitsyn is initially TRUE.
int | first_pitsyn
| Initial value TRUE.
int32_t | ipo
| ???
float | exc [166]
| ???
float | exc2 [166]
| ???
float | lpi [3]
| ???
float | hpi [3]
| ???
float | rmso_bsynz
| ???
int32_t | j
| ???
int32_t | k
| ???
int16_t | y [5]
| ???
float | dei [2]
| ???
float | deo [3]
| ???

## Detailed Description

LPC10 codec decoder state descriptor. This defines the state of a single working instance of the LPC10 decoder.

The documentation for this struct was generated from the following file:

- private/lpc10.h